Subject: [kernel-hardening] [PATCH v3 0/7] arm64: Privileged Access Never using TTBR0_EL1 switching

From: [email-masked] (David Brown)
Date: Wed, 14 Sep 2016 14:54:25 -0600

On Tue, Sep 13, 2016 at 06:46:30PM +0100, Catalin Marinas wrote:

>This is the third version of the arm64 PAN emulation using TTBR0_EL1
>switching. The series has not yet included the alternative nop patches
>from Mark Rutland, nor the empty_zero_page from Ard B. This will be done
>in a subsequent version once 4.9-rc1 is out (which will include Mark's
>alternative nop patches).

I've tested these with a bunch of reboots in both qemu and HiKey and
have not seen the efi failure.

David